﻿// <copyright file="CommonSerializers.cs" company="Felipe José Angriman">
//   Copyright 2009 Felipe José Angriman 
//
//   Licensed under the Apache License, Version 2.0 (the "License"); 
//   you may not use this file except in compliance with the License. 
//   You may obtain a copy of the License at 
//   
//       http://www.apache.org/licenses/LICENSE-2.0 
// 
//   Unless required by applicable law or agreed to in writing, software
//   distributed under the License is distributed on an "AS IS" BASIS, 
//   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
//   See the License for the specific language governing permissions and 
//   limitations under the License. 
// </copyright>
// <author>Felipe José Angriman</author>
// <summary>Defines the CommonSerializers Class</summary>

namespace Core.Json.Serializers
{
    using System;
    using System.Collections;
    using System.Data;

    public static class CommonSerializers
    {
        private static readonly IntegerTypeSerializer integerTypeSerializer = new IntegerTypeSerializer();
        private static readonly BooleanSerializer booleanSerializer = new BooleanSerializer();
        private static readonly DateTimeSerializer dateTimeSerializer = new DateTimeSerializer();
        private static readonly GuidSerializer guidSerializer = new GuidSerializer();
        private static readonly CharSerializer charSerializer = new CharSerializer();
        private static readonly StringSerializer stringSerializer = new StringSerializer();
        private static readonly IEnumerableSerializer iEnumerableSerializer = new IEnumerableSerializer();
        private static readonly DBNullSerializer dbNullSerializer = new DBNullSerializer();
        private static readonly ObjectSerializer objectSerializer = new ObjectSerializer();
        private static readonly TimeSpanSerializer timeSpanSerializer = new TimeSpanSerializer();
        private static readonly SingleSerializer singleSerializer = new SingleSerializer();
        private static readonly DoubleSerializer doubleSerializer = new DoubleSerializer();
        private static readonly DecimalSerializer decimalSerializer = new DecimalSerializer();
        private static readonly DataRowSerializer dataRowSerializer = new DataRowSerializer();
        private static readonly DataTableSerializer dataTableSerializer = new DataTableSerializer();
        private static readonly DataSetSerializer dataSetSerializer = new DataSetSerializer();

        public static IntegerTypeSerializer IntegerTypeSerializer
        {
            get
            {
                return integerTypeSerializer;
            }
        }

        public static BooleanSerializer BooleanSerializer
        {
            get
            {
                return booleanSerializer;
            }
        }

        public static DateTimeSerializer DateTimeSerializer
        {
            get
            {
                return dateTimeSerializer;
            }
        }

        public static GuidSerializer GuidSerializer
        {
            get
            {
                return guidSerializer;
            }
        }

        public static CharSerializer CharSerializer
        {
            get
            {
                return charSerializer;
            }
        }

        public static StringSerializer StringSerializer
        {
            get
            {
                return stringSerializer;
            }
        }

        public static IEnumerableSerializer IEnumerableSerializer
        {
            get
            {
                return iEnumerableSerializer;
            }
        }

        public static DBNullSerializer DBNullSerializer
        {
            get
            {
                return dbNullSerializer;
            }
        }

        public static ObjectSerializer ObjectSerializer
        {
            get
            {
                return objectSerializer;
            }
        }

        public static TimeSpanSerializer TimeSpanSerializer
        {
            get
            {
                return timeSpanSerializer;
            }
        }

        public static SingleSerializer SingleSerializer
        {
            get
            {
                return singleSerializer;
            }
        }

        public static DoubleSerializer DoubleSerializer
        {
            get
            {
                return doubleSerializer;
            }
        }

        public static DataRowSerializer DataRowSerializer
        {
            get
            {
                return dataRowSerializer;
            }
        }

        public static DataTableSerializer DataTableSerializer
        {
            get
            {
                return dataTableSerializer;
            }
        }

        public static DataSetSerializer DataSetSerializer
        {
            get
            {
                return dataSetSerializer;
            }
        }

        public static DecimalSerializer DecimalSerializer
        {
            get
            {
                return decimalSerializer;
            }
        }
    }
}
