﻿// <copyright file="IWritableRandomAccessSequence.cs" company="Felipe José Angriman">
//   Copyright 2009 Felipe José Angriman 
//
//   Licensed under the Apache License, Version 2.0 (the "License"); 
//   you may not use this file except in compliance with the License. 
//   You may obtain a copy of the License at 
//   
//       http://www.apache.org/licenses/LICENSE-2.0 
// 
//   Unless required by applicable law or agreed to in writing, software
//   distributed under the License is distributed on an "AS IS" BASIS, 
//   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
//   See the License for the specific language governing permissions and 
//   limitations under the License. 
// </copyright>
// <author>Felipe José Angriman</author>
// <summary>Defines the IWritableRandomAccessSequence Class</summary>

namespace Core.Collections
{
    /// <summary>
    /// A sequence that has random write access.
    /// </summary>
    /// <typeparam name="T">The type of the items in the sequence.</typeparam>
    public interface IWritableRandomAccessSequence<T> : ISequence<T>
    {
        /// <summary>
        /// Writes the item at the given location in the sequence.
        /// </summary>
        /// <param name="index">The location where to write.</param>
        /// <param name="item">The item to write.</param>
        void SetItemAt(int index, T item);
    }
}
