﻿// <copyright file="TypeOrExpression.cs" company="Felipe José Angriman">
//   Copyright 2009 Felipe José Angriman 
//
//   Licensed under the Apache License, Version 2.0 (the "License"); 
//   you may not use this file except in compliance with the License. 
//   You may obtain a copy of the License at 
//   
//       http://www.apache.org/licenses/LICENSE-2.0 
// 
//   Unless required by applicable law or agreed to in writing, software
//   distributed under the License is distributed on an "AS IS" BASIS, 
//   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
//   See the License for the specific language governing permissions and 
//   limitations under the License. 
// </copyright>
// <author>Felipe José Angriman</author>
// <summary>Defines the TypeOrExpression Class</summary>

namespace Core.Reflection.TypeExpressions
{
    public sealed class TypeOrExpression : TypeBooleanExpression
    {
        public TypeBooleanExpression FirstExpression { get; private set; }
        public TypeBooleanExpression SecondExpression { get; private set; }

        public TypeOrExpression(TypeBooleanExpression firstExpression, TypeBooleanExpression secondExpression)
        {
            this.FirstExpression = firstExpression;
            this.SecondExpression = secondExpression;
        }

        protected override void Accepted(ITypeExpressionVisitor visitor)
        {
            visitor.Visit(this);
        }
    }
}
